GET/api/v2/cards/{cardId}

Get detailed card information including sensitive data

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
userId (query)unknownNoUser ID (mandatory)
cardId (path)unknownYesCard ID (mandatory)

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
CardNostringNoFull card number (PAN) - only available for card details endpoint
CVVstringNoCard CVV/CVC security code
ExpYearstringNoCard expiration year (4 digits)
ExpMonthstringNoCard expiration month (2 digits)
CreatedAtstring (date-time)NoCreated at timestamp (shadows inherited string property with DateTime)
UpdatedAtstring (date-time)NoUpdated at timestamp (shadows inherited string property with DateTime)
IdunknownNo
UserIdunknownNo
ExternalCardIdstringNo
DeliveryAddressIdstringNo
NicknamestringNo
CardTypestringNo
CardNumberstringNo
ExpiryDatestringNo
StatusCardStatusV2No
BalanceCardBalanceV2No
CurrencystringNo
VelocityControlobjectNo
CardTypeIdunknownNo
CardTypeTierIdunknownNo
TierIdunknownNo
AutoLockEnabledbooleanNo
AutoLockActiveUntilstring (date-time)No
TransakOrderstringNo
RequiredAmountstringNo
AvailableAmountstringNo
ShortfallstringNo
MessagestringNo
Errorsarray of InterLaceCheckNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

500 — Internal Server Error

Response 500 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X GET "https://{base_url}/api/v2/cards/{cardId}" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.